com.hazelcast.config

## Class CacheSimpleConfig.ExpiryPolicyFactoryConfig

- java.lang.Object
- - com.hazelcast.config.CacheSimpleConfig.ExpiryPolicyFactoryConfig

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable
  Enclosing class:
    CacheSimpleConfig

      public static class CacheSimpleConfig.ExpiryPolicyFactoryConfig
      extends Object
      implements IdentifiedDataSerializable

  Represents configuration for "ExpiryPolicyFactory".

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CacheSimpleConfig.ExpiryPolicyFactoryConfig.DurationConfig` Represents duration configuration with duration amount and time unit for the "TimedExpiryPolicyFactoryConfig".
    `static class` | `CacheSimpleConfig.ExpiryPolicyFactoryConfig.TimedExpiryPolicyFactoryConfig` Represents configuration for time based "ExpiryPolicyFactory" with duration and time unit.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpiryPolicyFactoryConfig()`
    `ExpiryPolicyFactoryConfig(CacheSimpleConfig.ExpiryPolicyFactoryConfig.TimedExpiryPolicyFactoryConfig timedExpiryPolicyFactoryConfig)`
    `ExpiryPolicyFactoryConfig(String className)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getClassName()`
    `int` | `getFactoryId()` Returns DataSerializableFactory factory ID for this class.
    `int` | `getId()` Returns type identifier for this class.
    `CacheSimpleConfig.ExpiryPolicyFactoryConfig.TimedExpiryPolicyFactoryConfig` | `getTimedExpiryPolicyFactoryConfig()`
    `int` | `hashCode()`
    `void` | `readData(ObjectDataInput in)` Reads fields from the input stream
    `String` | `toString()`
    `void` | `writeData(ObjectDataOutput out)` Writes object fields to output stream

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpiryPolicyFactoryConfig

          public ExpiryPolicyFactoryConfig()

    - #### ExpiryPolicyFactoryConfig

          public ExpiryPolicyFactoryConfig(String className)

    - #### ExpiryPolicyFactoryConfig

          public ExpiryPolicyFactoryConfig(CacheSimpleConfig.ExpiryPolicyFactoryConfig.TimedExpiryPolicyFactoryConfig timedExpiryPolicyFactoryConfig)

  - ### Method Detail

    - #### getClassName

          public String getClassName()

    - #### getTimedExpiryPolicyFactoryConfig

          public CacheSimpleConfig.ExpiryPolicyFactoryConfig.TimedExpiryPolicyFactoryConfig getTimedExpiryPolicyFactoryConfig()

    - #### getFactoryId

          public int getFactoryId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns DataSerializableFactory factory ID for this class.
      Specified by:
        `getFactoryId` in interface `IdentifiedDataSerializable`
      Returns:
        factory ID

    - #### getId

          public int getId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns type identifier for this class. It should be unique per DataSerializableFactory.
      Specified by:
        `getId` in interface `IdentifiedDataSerializable`
      Returns:
        type ID

    - #### writeData

          public void writeData(ObjectDataOutput out)
                         throws IOException

      Description copied from interface: `DataSerializable`
      Writes object fields to output stream
      Specified by:
        `writeData` in interface `DataSerializable`
      Parameters:
        `out` - output
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the output stream has been closed.

    - #### readData

          public void readData(ObjectDataInput in)
                        throws IOException

      Description copied from interface: `DataSerializable`
      Reads fields from the input stream
      Specified by:
        `readData` in interface `DataSerializable`
      Parameters:
        `in` - input
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the input stream has been closed.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019. All rights reserved.